diff -rNu advanced_roadmap/app/views/projects/roadmap.rhtml advanced_roadmap.new/app/views/projects/roadmap.rhtml
--- advanced_roadmap/app/views/projects/roadmap.rhtml	2010-11-05 10:46:00.000000000 +0000
+++ advanced_roadmap.new/app/views/projects/roadmap.rhtml	1970-01-01 00:00:00.000000000 +0000
@@ -1,96 +0,0 @@
-<h2><%=l(:label_roadmap)%></h2>
-
-<% if @versions.empty? %>
-<p class="nodata"><%= l(:label_no_data) %></p>
-<% else %>
-
-<div id="roadmap">
-
-<% if @versions.size >= 1 %>
-  <%= tag "a", :name => l(:label_total) %>
-  <h3 class="icon22 icon22-package"><%= l(:label_total) %></h3>
-  <%
-    estimated_hours = 0.0
-    spent_hours = 0.0
-    rest_hours = 0.0
-    completed_pourcent = 0.0
-    closed_pourcent = 0.0
-  	@versions.each do |version|
-  	  estimated_hours += version.estimated_hours
-      spent_hours += version.spent_hours
-      rest_hours += version.rest_hours
-      completed_pourcent += version.spent_hours
-      closed_pourcent += version.closed_spent_hours
-  	end
-  	total = spent_hours + rest_hours
-  	if total > 0.0
-      completed_pourcent = (completed_pourcent * 100.0) / total
-      closed_pourcent = (closed_pourcent * 100.0) / total
-  	end
-  %>
-  <%= progress_bar([closed_pourcent, completed_pourcent], :width => '40em', :legend => ('%0.0f%' % completed_pourcent)) %>
-  <fieldset><legend><%= l(:label_time_tracking) %></legend>
-  <table>
-  <tr>
-    <td width="130px" align="right"><%= l(:field_estimated_hours) %></td>
-    <td width="340px" class="total-hours"><%= l_hours(estimated_hours) %></td>
-  </tr>
-  <% if User.current.allowed_to?(:view_time_entries, @project) %>
-    <tr>
-      <td width="130px" align="right"><%= l(:label_spent_time) %></td>
-      <td width="340px" class="total-hours"><%= l_hours(spent_hours) %></td>
-    </tr>
-    <tr>
-      <td width="130px" align="right"><%= l(:field_done_ratio) %></td>
-      <td width="340px" class="total-hours"><big><%= "%.0f" % completed_pourcent %></big>%</td>
-    </tr>
-    <tr>
-      <td width="130px" align="right"><%= l(:label_roadmap_due_in, "") %></td>
-      <td width="340px" class="total-hours"><%= "#{l_hours(rest_hours)} / #{l_days(rest_hours / 8.0)} / #{l_weeks(rest_hours / 40.0)}" %></td>
-    </tr>
-  <% end %>
-  </table>
-  </fieldset>
-<% end %>
-
-<% @versions.each do |version| %>   
-  <% issues = version.fixed_issues.find(:all,
-                                        :include => [:status, :tracker],
-                                        :conditions => ["tracker_id in (#{@selected_tracker_ids.join(',')})"],
-                                        :order => "#{Tracker.table_name}.position, #{Issue.table_name}.id") unless @selected_tracker_ids.empty? %>
-  <%= tag 'a', :name => version.name %>
-  <h3 class="icon22 icon22-package"><%= link_to h(version.name), :controller => 'versions', :action => 'show', :id => version %></h3>
-  <%= render :partial => 'versions/overview', :locals => {:version => version} %>
-  <%= render :partial => 'versions/milestones', :locals => {:version => version} %>
-  <%= render(:partial => "wiki/content", :locals => {:content => version.wiki_page.content}) if version.wiki_page %>
-  <%= render :partial => 'versions/issues', :locals => {:version => version, :issues => issues} %>
-<% end %>
-
-</div>
-<% end %>
-
-<% content_for :sidebar do %>
-  <% form_tag({}, :method => :get) do %>
-    <h3><%= l(:label_roadmap) %></h3>
-    <% @trackers.each do |tracker| %>
-      <label><%= check_box_tag "tracker_ids[]", tracker.id, (@selected_tracker_ids.include? tracker.id.to_s), :id => nil %>
-      <%= tracker.name %></label><br />
-    <% end %>
-    <br />
-    <label for="completed"><%= check_box_tag "completed", 1, params[:completed] %> <%= l(:label_show_completed_versions) %></label>
-    <p><%= submit_tag l(:button_apply), :class => 'button-small', :name => nil %></p>
-  <% end %>
-
-  <h3><%= l(:label_milestone_plural) %></h3>
-  <% @project.milestones.sort.each do |milestone| %>
-    <%= link_to milestone.name, :controller => :milestones, :action => :show, :id => milestone.id %><br />
-  <% end %>
-
-  <h3><%= l(:label_version_plural) %></h3>
-  <%= link_to l(:label_total), "##{l(:label_total)}" %><br />
-  <% @versions.each do |version| %>
-    <%= link_to version.name, "##{version.name}" %><br />
-  <% end %>
-<% end %>
-
-<% html_title(l(:label_roadmap)) %>
diff -rNu advanced_roadmap/app/views/versions/index.rhtml advanced_roadmap.new/app/views/versions/index.rhtml
--- advanced_roadmap/app/views/versions/index.rhtml	1970-01-01 00:00:00.000000000 +0000
+++ advanced_roadmap.new/app/views/versions/index.rhtml	2010-11-05 10:45:47.000000000 +0000
@@ -0,0 +1,96 @@
+<h2><%=l(:label_roadmap)%></h2>
+
+<% if @versions.empty? %>
+<p class="nodata"><%= l(:label_no_data) %></p>
+<% else %>
+
+<div id="roadmap">
+
+<% if @versions.size >= 1 %>
+  <%= tag "a", :name => l(:label_total) %>
+  <h3 class="icon22 icon22-package"><%= l(:label_total) %></h3>
+  <%
+    estimated_hours = 0.0
+    spent_hours = 0.0
+    rest_hours = 0.0
+    completed_pourcent = 0.0
+    closed_pourcent = 0.0
+  	@versions.each do |version|
+  	  estimated_hours += version.estimated_hours
+      spent_hours += version.spent_hours
+      rest_hours += version.rest_hours
+      completed_pourcent += version.spent_hours
+      closed_pourcent += version.closed_spent_hours
+  	end
+  	total = spent_hours + rest_hours
+  	if total > 0.0
+      completed_pourcent = (completed_pourcent * 100.0) / total
+      closed_pourcent = (closed_pourcent * 100.0) / total
+  	end
+  %>
+  <%= progress_bar([closed_pourcent, completed_pourcent], :width => '40em', :legend => ('%0.0f%' % completed_pourcent)) %>
+  <fieldset><legend><%= l(:label_time_tracking) %></legend>
+  <table>
+  <tr>
+    <td width="130px" align="right"><%= l(:field_estimated_hours) %></td>
+    <td width="340px" class="total-hours"><%= l_hours(estimated_hours) %></td>
+  </tr>
+  <% if User.current.allowed_to?(:view_time_entries, @project) %>
+    <tr>
+      <td width="130px" align="right"><%= l(:label_spent_time) %></td>
+      <td width="340px" class="total-hours"><%= l_hours(spent_hours) %></td>
+    </tr>
+    <tr>
+      <td width="130px" align="right"><%= l(:field_done_ratio) %></td>
+      <td width="340px" class="total-hours"><big><%= "%.0f" % completed_pourcent %></big>%</td>
+    </tr>
+    <tr>
+      <td width="130px" align="right"><%= l(:label_roadmap_due_in, "") %></td>
+      <td width="340px" class="total-hours"><%= "#{l_hours(rest_hours)} / #{l_days(rest_hours / 8.0)} / #{l_weeks(rest_hours / 40.0)}" %></td>
+    </tr>
+  <% end %>
+  </table>
+  </fieldset>
+<% end %>
+
+<% @versions.each do |version| %>   
+  <% issues = version.fixed_issues.find(:all,
+                                        :include => [:status, :tracker],
+                                        :conditions => ["tracker_id in (#{@selected_tracker_ids.join(',')})"],
+                                        :order => "#{Tracker.table_name}.position, #{Issue.table_name}.id") unless @selected_tracker_ids.empty? %>
+  <%= tag 'a', :name => version.name %>
+  <h3 class="icon22 icon22-package"><%= link_to h(version.name), :controller => 'versions', :action => 'show', :id => version %></h3>
+  <%= render :partial => 'versions/overview', :locals => {:version => version} %>
+  <%= render :partial => 'versions/milestones', :locals => {:version => version} %>
+  <%= render(:partial => "wiki/content", :locals => {:content => version.wiki_page.content}) if version.wiki_page %>
+  <%= render :partial => 'versions/issues', :locals => {:version => version, :issues => issues} %>
+<% end %>
+
+</div>
+<% end %>
+
+<% content_for :sidebar do %>
+  <% form_tag({}, :method => :get) do %>
+    <h3><%= l(:label_roadmap) %></h3>
+    <% @trackers.each do |tracker| %>
+      <label><%= check_box_tag "tracker_ids[]", tracker.id, (@selected_tracker_ids.include? tracker.id.to_s), :id => nil %>
+      <%= tracker.name %></label><br />
+    <% end %>
+    <br />
+    <label for="completed"><%= check_box_tag "completed", 1, params[:completed] %> <%= l(:label_show_completed_versions) %></label>
+    <p><%= submit_tag l(:button_apply), :class => 'button-small', :name => nil %></p>
+  <% end %>
+
+  <h3><%= l(:label_milestone_plural) %></h3>
+  <% @project.milestones.sort.each do |milestone| %>
+    <%= link_to milestone.name, :controller => :milestones, :action => :show, :id => milestone.id %><br />
+  <% end %>
+
+  <h3><%= l(:label_version_plural) %></h3>
+  <%= link_to l(:label_total), "##{l(:label_total)}" %><br />
+  <% @versions.each do |version| %>
+    <%= link_to version.name, "##{version.name}" %><br />
+  <% end %>
+<% end %>
+
+<% html_title(l(:label_roadmap)) %>
diff -rNu advanced_roadmap/init.rb advanced_roadmap.new/init.rb
--- advanced_roadmap/init.rb	2010-11-05 10:46:00.000000000 +0000
+++ advanced_roadmap.new/init.rb	2010-11-05 10:45:47.000000000 +0000
@@ -17,7 +17,7 @@
 
   Issue.send(:include, IssuePatch)
   Project.send(:include, ProjectPatch)
-  ProjectsController.send(:include, ProjectsControllerPatch)
+  VersionsController.send(:include, VersionsControllerPatch)
   ProjectsHelper.send(:include, ProjectsHelperPatch)
   Redmine::I18n.send(:include, RedmineI18nPatch)
   Version.send(:include, VersionPatch)
diff -rNu advanced_roadmap/lib/projects_controller_patch.rb advanced_roadmap.new/lib/projects_controller_patch.rb
--- advanced_roadmap/lib/projects_controller_patch.rb	2010-11-05 10:46:00.000000000 +0000
+++ advanced_roadmap.new/lib/projects_controller_patch.rb	1970-01-01 00:00:00.000000000 +0000
@@ -1,12 +0,0 @@
-require_dependency "projects_controller"
-
-module ProjectsControllerPatch
-  def self.included(base)
-    base.class_eval do
-      def roadmap_with_advanced_info
-        roadmap_without_advanced_info
-      end
-      alias_method_chain :roadmap, :advanced_info
-    end
-  end
-end
diff -rNu advanced_roadmap/lib/versions_controller_patch.rb advanced_roadmap.new/lib/versions_controller_patch.rb
--- advanced_roadmap/lib/versions_controller_patch.rb	1970-01-01 00:00:00.000000000 +0000
+++ advanced_roadmap.new/lib/versions_controller_patch.rb	2010-11-05 10:45:47.000000000 +0000
@@ -0,0 +1,12 @@
+require_dependency "versions_controller"
+
+module VersionsControllerPatch
+  def self.included(base)
+    base.class_eval do
+      def index_with_advanced_info
+        index_without_advanced_info
+      end
+      alias_method_chain :index, :advanced_info
+    end
+  end
+end
